package com.bzd.system.service.kc.crk;

import com.bzd.common.config.dao.DaoBase;
import com.bzd.common.config.dao.DaoSupport;
import com.bzd.common.config.dao.PageData;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;


/**
*
* 门店请货单信息表 service
* @author LiXiangFei
* @since 2024-10-14
*/

@Service
public class SKcCrkMdqhdRequisitionorderService {

    @Autowired
    private DaoBase dao;

    @Resource(name = "daoSupport")
    private DaoSupport daoSupport;

    public Integer addSKcCrkMdqhdRequisitionorder(PageData pd)throws Exception {
        return daoSupport.update("SKcCrkMdqhdRequisitionorderMapper.addSKcCrkMdqhdRequisitionorder", pd);
    }

    public List<PageData> findSKcCrkMdqhdRequisitionorderList(PageData pd) throws Exception{
        return (List<PageData>) daoSupport.findForList("SKcCrkMdqhdRequisitionorderMapper.selectSKcCrkMdqhdRequisitionorderList", pd);
    }

    public Integer SKcCrkMdqhdRequisitionorderRemove(PageData pd)throws Exception {
        return daoSupport.delete("SKcCrkMdqhdRequisitionorderMapper.SKcCrkMdqhdRequisitionorderRemove", pd);
    }


    public Integer updateSKcCrkMdqhdRequisitionorder(PageData pd)throws Exception {
        return daoSupport.update("SKcCrkMdqhdRequisitionorderMapper.updateSKcCrkMdqhdRequisitionorder", pd);
    }

}
